org.jboss.jca.as.converters

## Enum ConnectionFactory.Tag

- java.lang.Object
- - java.lang.Enum<ConnectionFactory.Tag>
  - - org.jboss.jca.as.converters.ConnectionFactory.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConnectionFactory.Tag>
  Enclosing interface:
    ConnectionFactory

      public static enum ConnectionFactory.Tag
      extends java.lang.Enum<ConnectionFactory.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOCATION_RETRY` allocationRetry tag
    `ALLOCATION_RETRY_WAIT_MILLIS` allocationRetryWaitMillis tag
    `BACKGROUND_VALIDATION` backgroundValidation tag
    `BACKGROUND_VALIDATION_MILLIS` backgroundValidationMillis tag
    `BLOCKING_TIMEOUT_MILLIS` blockingTimeoutMillis tag
    `IDLE_TIMEOUT_MINUTES` idleTimeoutMinutes tag
    `JNDI_NAME` jndiName tag
    `MAX_POOL_SIZE` maxPoolSize tag
    `MIN_POOL_SIZE` min-pool-size tag
    `PREFILL` prefill tag
    `SECURITY_DOMAIN` security-domain tag
    `SECURITY_DOMAIN_AND_APPLICATION` security-domain-and-application tag
    `UNKNOWN` always first
    `USE_FAST_FAIL` useFastFail tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionFactory.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static ConnectionFactory.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionFactory.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ConnectionFactory.Tag UNKNOWN

      always first

    - #### JNDI_NAME

          public static final ConnectionFactory.Tag JNDI_NAME

      jndiName tag

    - #### SECURITY_DOMAIN

          public static final ConnectionFactory.Tag SECURITY_DOMAIN

      security-domain tag

    - #### SECURITY_DOMAIN_AND_APPLICATION

          public static final ConnectionFactory.Tag SECURITY_DOMAIN_AND_APPLICATION

      security-domain-and-application tag

    - #### MIN_POOL_SIZE

          public static final ConnectionFactory.Tag MIN_POOL_SIZE

      min-pool-size tag

    - #### MAX_POOL_SIZE

          public static final ConnectionFactory.Tag MAX_POOL_SIZE

      maxPoolSize tag

    - #### BLOCKING_TIMEOUT_MILLIS

          public static final ConnectionFactory.Tag BLOCKING_TIMEOUT_MILLIS

      blockingTimeoutMillis tag

    - #### BACKGROUND_VALIDATION

          public static final ConnectionFactory.Tag BACKGROUND_VALIDATION

      backgroundValidation tag

    - #### BACKGROUND_VALIDATION_MILLIS

          public static final ConnectionFactory.Tag BACKGROUND_VALIDATION_MILLIS

      backgroundValidationMillis tag

    - #### IDLE_TIMEOUT_MINUTES

          public static final ConnectionFactory.Tag IDLE_TIMEOUT_MINUTES

      idleTimeoutMinutes tag

    - #### ALLOCATION_RETRY

          public static final ConnectionFactory.Tag ALLOCATION_RETRY

      allocationRetry tag

    - #### ALLOCATION_RETRY_WAIT_MILLIS

          public static final ConnectionFactory.Tag ALLOCATION_RETRY_WAIT_MILLIS

      allocationRetryWaitMillis tag

    - #### PREFILL

          public static final ConnectionFactory.Tag PREFILL

      prefill tag

    - #### USE_FAST_FAIL

          public static final ConnectionFactory.Tag USE_FAST_FAIL

      useFastFail tag

  - ### Method Detail

    - #### values

          public static ConnectionFactory.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionFactory.Tag c : ConnectionFactory.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionFactory.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ConnectionFactory.Tag>`

    - #### forName

          public static ConnectionFactory.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)